diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 69a0e51..ed43578 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -237,7 +237,7 @@ define(
         /* separator above this menu */
         above: false,
         below: true,
-        icon: 'fa fa-magic',
+        /* icon: 'fa fa-magic', */
         single: true
       }
     },
diff --git a/web/pgadmin/browser/static/js/menu.js b/web/pgadmin/browser/static/js/menu.js
index d51e8b6..8b96e20 100644
--- a/web/pgadmin/browser/static/js/menu.js
+++ b/web/pgadmin/browser/static/js/menu.js
@@ -9,7 +9,7 @@ function(_, S, pgAdmin, $) {
   var MenuItem = pgAdmin.Browser.MenuItem = function(opts) {
     var menu_opts = [
       'name', 'label', 'priority', 'module', 'callback', 'data', 'enable',
-      'category', 'target', 'url', 'icon', 'node'
+      'category', 'target', 'url'/* Do not show icon in the menus, 'icon' */, 'node'
     ],
     defaults = {
       url: '#',
@@ -34,7 +34,7 @@ function(_, S, pgAdmin, $) {
 
       this.context = {
         name: this.label,
-        icon: this.icon || this.module && (this.module.type),
+        /* icon: this.icon || this.module && (this.module.type), */
         disabled: this.is_disabled,
         callback: this.context_menu_callback.bind(this, item)
       };
@@ -77,6 +77,7 @@ function(_, S, pgAdmin, $) {
       var span = this.$el.find('span');
       var icon = this.$el.find('i');
 
+
       span.addClass('font-gray-4');
       span.removeClass('font-white');
       icon.addClass('font-gray-4');
@@ -126,7 +127,7 @@ function(_, S, pgAdmin, $) {
 
       this.context = {
         name: this.label,
-        icon: this.icon || (this.module && this.module.type),
+        /* icon: this.icon || (this.module && this.module.type), */
         disabled: this.is_disabled,
         callback: this.context_menu_callback.bind(this, item)
       };
diff --git a/web/pgadmin/static/css/bootstrap.overrides.css b/web/pgadmin/static/css/bootstrap.overrides.css
index f4d21b3..b6d50eb 100755
--- a/web/pgadmin/static/css/bootstrap.overrides.css
+++ b/web/pgadmin/static/css/bootstrap.overrides.css
@@ -104,7 +104,7 @@ iframe {
     border-width: 5px 0 5px 5px;
     border-left-color: #cccccc;
     margin-top: 5px;
-    margin-right: -10px;
+    margin-right: -2px;
 }
 
 .dropdown-submenu:hover>a:after {
@@ -152,6 +152,10 @@ iframe {
     margin-bottom: 0;
 }
 
+.dropdown-menu > li > a {
+  padding: 3px 5px;
+}
+
 .dropdown-menu > li > a > i {
     margin-left: -17px;
     width: 13px;
